<?php
// No direct access to this file
defined('_JEXEC') or die('Restricted access');
 
// import Joomla view library
jimport('joomla.application.component.view');
 
/**
 * SmsVerifys View
 */
class SmsVerifyViewSmsVerifys extends JView
{
	/**
	 * SmsVerifys view display method
	 * @return void
	 */
	function display($tpl = null) 
	{
		// Check for errors.
		if (count($errors = $this->get('Errors'))) 
		{
			JError::raiseError(500, implode('<br />', $errors));
			return false;
		}
 
		// Set the toolbar
		$this->addToolBar();
 
		// Display the template
		parent::display($tpl);
 
		// Set the document
		$this->setDocument();
	}
 
	/**
	 * Setting the toolbar
	 */
	protected function addToolBar() 
	{
		$canDo = SmsVerifyHelper::getActions();
		JToolBarHelper::title(JText::_('COM_SMSVERIFY_MANAGER_SMSVERIFYS'), 'smsverify');
		if ($canDo->get('core.admin')) 
		{
			JToolBarHelper::divider();
			JToolBarHelper::preferences('com_smsverify');
		}
	}
	/**
	 * Method to set up the document properties
	 *
	 * @return void
	 */
	protected function setDocument() 
	{
		$document = JFactory::getDocument();
		$document->setTitle(JText::_('COM_SMSVERIFY_ADMINISTRATION'));
	}
}
