<?php
/**
 * http://www.banvaz.ir 
 * 
 * @package		http://www.banvaz.ir
 * @copyright 	http://www.banvaz.ir
 */



/**
 * This function is used to send SMS via http://www.banvaz.ir
 * 
 * @param   string      Username
 * @param   string      Password
 * @param   string      Number (From - Example: 100002972)
 * @param   string      Recipient Number
 * @param   string      Message
 * @param   integer     Port Number (For Example: 1000)
 * @param   bool        Is Flash SMS?
 * @return
 */
function Send_SMS($username, $password, $number, $recipient, $message, $port = 0, $flash = false)
{
    
	///banvaz.ir
	$client = new SoapClient('http://sms.banvaz.ir/services/SMSBox/wsdl', array('encoding' => 'UTF-8'));

	$result = $client->Send(
						array(
								'Auth' 	=> array('number' => $number,'pass' => $password),
								'Recipients' => array($recipient),
								'Message' => array($message),
								'Flash' => false
							)
	);

	//Redirect to URL You can do it also by creating a form
	if($result->Status == 1000)
	{
		return  '0';
	} else {
		echo'ERR: '.$result->Status;
	}
	
	
	
	
}


?>