<?php
/**
 * @package		Joomla.Site
 * @subpackage	com_smsverify
 * @copyright	Copyright (C) 2005 - 2012 Open Source Matters, Inc. All rights reserved.
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 * @since		1.6
 */

defined('_JEXEC') or die;

JHtml::_('behavior.keepalive');
JHtml::_('behavior.tooltip');
JHtml::_('behavior.formvalidation');
?>

<div class="registration<?php echo $this->pageclass_sfx?>">
<?php if ($this->params->get('show_page_heading')) : ?>
	<h1>Your Details - Code Verification Step</h1>
<?php endif; ?>

	<form id="member-registration" action="<?php echo JRoute::_('index.php?option=com_smsverify&task=registration.verify'); ?>" method="post" class="form-validate">
<?php foreach ($this->form->getFieldsets() as $fieldset): // Iterate through the form fieldsets and display each one.?>
	<?php $fields = $this->form->getFieldset($fieldset->name);?>
	<?php if (count($fields)):?>
		<fieldset>
		<?php if (isset($fieldset->label)):// If the fieldset has a label set, display it as the legend.
		?>
			<legend>جزییات شما</legend>
		<?php endif;?>
			<dl>
				<dt>نام  : </dt>
                <dd><?php echo $this->data->name; ?></dd>
                <dt>نام کاربری  : </dt>
                <dd><?php echo $this->data->username; ?></dd>
                <dt>ایمیل  : </dt>
                <dd><?php echo $this->data->email1; ?></dd>
                <dt>تلفن همراه  : </dt>
                <dd><?php echo $this->data->mobileno;?>&nbsp;&nbsp;کد تایید را دریافت نموده اید? &nbsp; اگر کد تایید دریافت نکرده اید  
                      <input type="submit"class="validate" name="jform[sendanother]" value="اینجا کلیک کنید" />
                      <strong>ممکن است تا چند دقیقه ارسال کد به طول  بکشد لطفا منتظر بمانید</strong></dd>
				<dt>کد تایید :  </dt>
                <dd><input type="text" class="inputbox" name="jform[verificationcode]" id="verificationcode"></dd>	
			</dl>
		</fieldset>
	<?php endif;?>
<?php endforeach; ?>
		<div>
			<input type="hidden" name="jform[name]" value="<?php echo $this->data->name; ?>" />
			<input type="hidden" name="jform[username]" value="<?php echo $this->data->username; ?>" />
			<input type="hidden" name="jform[email1]" value="<?php echo $this->data->email1; ?>" />
			<input type="hidden" name="jform[mobileno]" value="<?php echo $this->data->mobileno; ?>" />
            <input type="hidden" name="jform[vcode]" value="<?php echo $this->data->vcode; ?>" />
            <input type="hidden" name="jform[password]" value="<?php echo $this->data->password; ?>" />

			<button type="submit" class="validate"><?php echo "تایید";?></button>
			<?php echo JText::_('COM_SMSVERIFY_OR');?>
			<a href="<?php echo JRoute::_('index.php?option=com_smsverify&view=smsverify');?>" title="<?php echo JText::_('JCANCEL');?>"><?php echo JText::_('JCANCEL');?></a>
			<input type="hidden" name="option" value="com_smsverify" />
			<input type="hidden" name="task" id="task" value="registration.verify" />
			<?php echo JHtml::_('form.token');?>
		</div>
	</form>
</div>
